Bug 730301 - SELinux is preventing /usr/libexec/colord from using the 'sys_admin' capabilities.
Summary: SELinux is preventing /usr/libexec/colord from using the 'sys_admin' capabili...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: colord
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:83f91e7027e637c589fe4c999fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 12:11 UTC by Mads Kiilerich
Modified: 2013-02-14 02:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:56:22 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-12 12:11:33 UTC
abrt version: 2.0.5
hashmarkername: setroubleshoot
kernel:         3.0.1-3.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/colord from using the 'sys_admin' capabilities.
time:           Fri Aug 12 12:11:06 2011

description:
:SELinux is preventing /usr/libexec/colord from using the 'sys_admin' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that colord should have the sys_admin capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep colord /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Objects                Unknown [ capability ]
:Source                        colord
:Source Path                   /usr/libexec/colord
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           colord-0.1.10-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-18.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux localhost.localdomain 3.0.1-3.fc16.x86_64 #1
:                              SMP Mon Aug 8 18:13:59 UTC 2011 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fri 12 Aug 2011 12:06:42 PM GMT
:Last Seen                     Fri 12 Aug 2011 12:06:42 PM GMT
:Local ID                      605cb158-4ff7-4863-9856-386e387844ae
:
:Raw Audit Messages
:type=AVC msg=audit(1313150802.658:38): avc:  denied  { sys_admin } for  pid=1353 comm="colord" capability=21  scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tclass=capability
:
:
:type=SYSCALL msg=audit(1313150802.658:38): arch=x86_64 syscall=open success=yes exit=EBUSY a0=7fffab6be3f0 a1=882 a2=5 a3=7fffab6bcc30 items=0 ppid=1 pid=1353 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)
:
:Hash: colord,colord_t,colord_t,capability,sys_admin
:
:audit2allow
:
:#============= colord_t ==============
:allow colord_t self:capability sys_admin;
:
:audit2allow -R
:
:#============= colord_t ==============
:allow colord_t self:capability sys_admin;
:

Comment 1 Daniel Walsh 2011-08-15 11:41:14 UTC
I added a dontaudit to selinux-policy-3.10.0-19.fc16  Since it seems to be working for you and I don't want to give this powerfull capability to colord.

Comment 2 Mads Kiilerich 2011-08-15 13:36:11 UTC
I'm not 100% sure this system really was enforcing. I think it was a livecd that was started with enforcing=0 and I'm also not sure that the system really worked correctly if this was blocked. I just know that I got this and it seemed to be a genuine problem not caused by other strange things that might have been going on.

Anyway: It seems reasonable that colord shouldn't use sys_admin privileges, so isn't this a colord bug?

Comment 3 Daniel Walsh 2011-08-16 11:43:39 UTC
Well the alert says that it was in enforcing mode.

The avc that was generated for colord_t on the OPEN syscall was successful. success=yes.

Not sure what colord people can tell us, but I will reassign.

Was there anything special about the filesystem(s) on your machine?

Comment 4 Fedora End Of Life 2013-01-17 01:55:49 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-14 02:56:26 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.